Skip to main content

Check the status of a write operation

GEThttps://api.propexo.com/v1/admin/write-status/:root_job_id

Query for the status of a write operation created via the API. The status of the write operation, as well as any encountered errors, is provided.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

root_job_id stringrequired

The job ID of the write job to check the status of

Response​

Successful response

    write_statusstringrequired

    The status for the write operation. "SUCCESS" means that the write operation was seen as a complete success and the data has been written. "PARTIAL_SUCCESS" means that a portion of the write operation succeeded, but it was not fully successful. "FAILURE" means that the write operation completely failed."PENDING" means that the write operation is pending completion of any status.

    Show 4 enum values
    SUCCESSPARTIAL_SUCCESSFAILUREPENDING
    errorsstring[]required
    created_record_idstring | nullnullablerequired

    The ID may be null if the job didn't run correctly or if the given PMS does not generate a new record ID for create operations. Due to varying PMS workflow requirements, some Propexo jobs will spawn other jobs. This will return the first ID created in the process and could be related to a different model than expected. This is not intended to be a complete solution and could have gaps.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/admin/write-status/:root_job_id
curl https://api.propexo.com/v1/admin/write-status/:root_job_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"write_status": "SUCCESS",
"errors": [
"string"
],
"created_record_id": "string"
}